package com.xhkjedu.sapi.mapper.region;

import com.xhkjedu.sapi.vo.region.RSchoolVo;
import com.xhkjedu.sapi.vo.region.RegionParam;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @ClassName RPaperAnalyzeMapper
 * Description TODO 区域作业统计
 * Author WN
 * Date 2021/7/13 16:16
 **/
@Repository
public interface RPaperAnalyzeMapper {
    //作业数量统计——作业数量
    Integer getRegionPaperNumPaper(@Param("param") RegionParam param);
    //作业数量统计——预习数量
    Integer getRegionPaperNumPreview(@Param("param") RegionParam param);
    //作业数量统计——背诵数量
    Integer getRegionPaperNumRecite(@Param("param") RegionParam param);
    //作业数量统计——错题视频数量
    Integer getRegionPaperNumQueexp(@Param("param") RegionParam param);

    //作业各率统计——作业
    List<RSchoolVo> listRegionSchoolRatePaper(@Param("param") RegionParam param);
    //作业各率统计——背诵
    List<RSchoolVo> listRegionSchoolRateRecite(@Param("param") RegionParam param);
    //作业各率统计——预习
    List<RSchoolVo> listRegionSchoolRatePreview(@Param("param") RegionParam param);

    //人均用时——作业
    List<Map> listRegionSchoolUsetimePaper(@Param("param") RegionParam param);
    //人均用时——预习
    List<Map> listRegionSchoolUsetimePreview(@Param("param") RegionParam param);
}
